Skip navigation links

Overview | Package | Class | Tree | Index | Help
| Oracle® Coherence Java API Reference Release 3.6.1.0 E18814-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tangosol.coherence.servlet
Interface SessionHelper.Task

All Superinterfaces:
  java.lang.Runnable

Enclosing class:
  SessionHelper

Deprecated. In releases following 3.6 customization will be declarative.

      protected static interface SessionHelper.Task

extends java.lang.Runnable

Interface for detecting when a Runnable Task has completed.

Method Summary
`boolean` | `isDone()` Deprecated. Indicate if the task has completed.
`boolean` | `isSucceeded()` Deprecated. Indicates wheter the task has succeeded (accomplished what it was intended to do) or not.
`void` | `setDone(boolean fDone)` Deprecated. Specify if the task has completed.
`void` | `setSucceeded(boolean fSucceeded)` Deprecated. Specify whether the task has succeeded or not.

Methods inherited from interface java.lang.Runnable
`run`

Method Detail

### setDone

    void setDone(boolean fDone)

  Deprecated.
  Specify if the task has completed.
  Parameters:
    `fDone` - true if the task has completed its execution.

### isDone

    boolean isDone()

  Deprecated.
  Indicate if the task has completed.
  Returns:
    true if the task has completed its execution

### setSucceeded

    void setSucceeded(boolean fSucceeded)

  Deprecated.
  Specify whether the task has succeeded or not.
  Parameters:
    `fSucceeded` - true if the task has succeeded.

### isSucceeded

    boolean isSucceeded()

  Deprecated.
  Indicates wheter the task has succeeded (accomplished what it was intended to do) or not.
  Returns:
    true if the task has succeeded.

Skip navigation links

Overview | Package | Class | Tree | Index | Help
| Oracle® Coherence Java API Reference Release 3.6.1.0 E18814-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2010, Oracle and/or its affiliates. All rights reserved.